Lorene::Eos_strange_cr Class Reference
Equations of state

Strange matter EOS (MIT Bag model) with crust. More...

`#include <eos.h>`

Inheritance diagram for Lorene::Eos_strange_cr:

## Public Member Functions

| Eos_strange_cr (double n0_b60_i, double b60_i, double ent0_i, double eps_fit_i, double rho0_b60_i, double ent_nd_i, double rho_nd_i, double gam_i)
| Standard constructor.
| Eos_strange_cr (const Eos_strange_cr &)
| Copy constructor.
virtual | ~Eos_strange_cr ()
| Destructor.
void | operator= (const Eos_strange_cr &)
| Assignment to another `Eos_strange`.
virtual bool | operator== (const Eos &) const
| Comparison operator (egality).
virtual bool | operator!= (const Eos &) const
| Comparison operator (difference).
virtual int | identify () const
| Returns a number to identify the sub-classe of `Eos` the object belongs to.
double | get_n0_b60 () const
| Returns the baryon density at zero pressure divided by [unit: ].
double | get_b60 () const
| Returns the bag constant [unit: ].
double | get_ent0 () const
| Returns the log-enthalpy threshold for setting the energy density to a non zero value (should be negative).
double | get_eps_fit () const
| Returns the fitting parameter related to the square of sound velocity by .
double | get_rho0_b60 () const
| Returns the energy density at zero pressure divided by .
double | get_ent_nd () const
| Returns the log-enthalpy at neutron drip point, defining the boundary between crust and core.
double | get_rho_nd () const
| Returns the energy density at neutron drip point, defining the boundary between crust and core [unit: ].
double | get_gam () const
| Returns the adiabatic index for the crust model.
virtual void | sauve (FILE *) const
| Save in a file.
virtual double | nbar_ent_p (double ent, const Param *par=0x0) const
| Computes the baryon density from the log-enthalpy.
virtual double | ener_ent_p (double ent, const Param *par=0x0) const
| Computes the total energy density from the log-enthalpy.
virtual double | press_ent_p (double ent, const Param *par=0x0) const
| Computes the pressure from the log-enthalpy.
virtual double | der_nbar_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy.
virtual double | der_ener_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy.
virtual double | der_press_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy.
const char * | get_name () const
| Returns the EOS name.
void | set_name (const char *name_i)
| Sets the EOS name.
Cmp | nbar_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the baryon density field from the log-enthalpy field and extra parameters.
Scalar | nbar_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the baryon density field from the log-enthalpy field and extra parameters.
Cmp | ener_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the total energy density from the log-enthalpy and extra parameters.
Scalar | ener_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the total energy density from the log-enthalpy and extra parameters.
Cmp | press_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the pressure from the log-enthalpy and extra parameters.
Scalar | press_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the pressure from the log-enthalpy and extra parameters.
Cmp | der_nbar_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_nbar_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Cmp | der_ener_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_ener_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Cmp | der_press_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_press_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.

## Static Public Member Functions

static Eos * | eos_from_file (FILE *)
| Construction of an EOS from a binary file.
static Eos * | eos_from_file (ifstream &)
| Construction of an EOS from a formatted file.

## Protected Member Functions

| Eos_strange_cr (FILE *)
| Constructor from a binary file (created by the function `sauve(FILE*)` ).
| Eos_strange_cr (ifstream &)
| Constructor from a formatted file.
void | set_auxiliary ()
| Computes the auxiliary quantities `n0` , `rh0` , `b34` and `fach` from the values of the other parameters.
virtual ostream & | operator>> (ostream &) const
| Operator >>.
void | calcule (const Cmp &thermo, int nzet, int l_min, double(Eos::*fait)(double, const Param *) const, const Param *par, Cmp &resu) const
| General computational method for `Cmp` 's.
void | calcule (const Scalar &thermo, int nzet, int l_min, double(Eos::*fait)(double, const Param *) const, const Param *par, Scalar &resu) const
| General computational method for `Scalar` 's.

## Protected Attributes

double | n0_b60
| Baryon density at zero pressure divided by .
double | b60
| Bag constant [unit: ].
double | ent0
| Log-enthalpy threshold for setting the energy density to a non zero value (should be negative).
double | eps_fit
| Fitting parameter related to the square of sound velocity by .
double | rho0_b60
| Energy density at zero pressure divided by .
double | ent_nd
| Log-enthalpy at neutron drip point, defining the boundary between crust and core.
double | rho_nd
| Energy density at neutron drip point, defining the boundary between crust and core [unit: ].
double | gam
| Adiabatic index for the crust model.
double | n0
| Baryon density at zero pressure.
double | rho0
| Energy density at zero pressure.
double | b34
double | fach
| Factor .
double | rho_nd_nucl
| Energy density at neutron drip point, defining the boundary between crust and core [unit: `rho_unit` ].
double | x_nd
| Ratio of pressure to energy density at neutron drip point.
double | ncr_nd
| Rescaled number density at neutron drip point.
double | delent
| Enthalpy shift in quark phase.
double | unsgam1
double | gam1sx
char | name [100]
| EOS name.

## Friends

Eos * | Eos::eos_from_file (FILE *)
| The construction functions from a file.
Eos * | Eos::eos_from_file (ifstream &)

## Detailed Description

Strange matter EOS (MIT Bag model) with crust.

For liquid core, this equation of state (EOS) corresponds to u,d,s degenerate symetric matter in the MIT bag model, according to approximate formula given in Zdunik, Astron. Astrophys. 359 , 311 (2000). The EOS for crust is a polytropic approximation of the BPS model up to neutron drip point. ()

Definition at line 1779 of file eos.h.

## Constructor & Destructor Documentation

## Eos_strange_cr() [1/4]

Lorene::Eos_strange_cr::Eos_strange_cr | ( | double | n0_b60_i,
|  | double | b60_i,
|  | double | ent0_i,
|  | double | eps_fit_i,
|  | double | rho0_b60_i,
|  | double | ent_nd_i,
|  | double | rho_nd_i,
|  | double | gam_i )

Standard constructor.

Parameters

  n0_b60_i | Baryon density at zero pressure divided by [unit: ]
  b60_i | Bag constant [unit: ]
  ent0_i | Log-enthalpy threshold for setting the energy density to a non zero value (should be negative)
  eps_fit_i | Fitting parameter related to the square of sound velocity by [cf. Zdunik, Astron. Astrophys. 359 , 311 (2000)]
  rho0_b60_i | Energy density at zero pressure divided by [unit: ]
  ent_nd_i | Log-enthalpy at neutron drip point, defining the boundary between crust and core
  rho_nd_i | Energy density at neutron drip point, defining the boundary between crust and core [unit: ]
  gam_i | Adiabatic index for the crust model

Definition at line 100 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Lorene::Eos::Eos(), eps_fit, gam, n0_b60, rho0_b60, rho_nd, and set_auxiliary().

## Eos_strange_cr() [2/4]

Lorene::Eos_strange_cr::Eos_strange_cr | ( | const Eos_strange_cr & | eos_i | ) |

Copy constructor.

Definition at line 120 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Lorene::Eos::Eos(), Eos_strange_cr(), eps_fit, gam, n0_b60, rho0_b60, rho_nd, and set_auxiliary().

## Eos_strange_cr() [3/4]

Lorene::Eos_strange_cr::Eos_strange_cr | ( | FILE * | fich | ) |

protected

Constructor from a binary file (created by the function `sauve(FILE*)` ).

This constructor is protected because any EOS construction from a binary file must be done via the function `Eos::eos_from_file(FILE*)` .

Definition at line 138 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Lorene::Eos::Eos(), eps_fit, Lorene::fread_be(), gam, n0_b60, rho0_b60, rho_nd, and set_auxiliary().

## Eos_strange_cr() [4/4]

Lorene::Eos_strange_cr::Eos_strange_cr | ( | ifstream & | fich | ) |

protected

Constructor from a formatted file.

This constructor is protected because any EOS construction from a formatted file must be done via the function `Eos::eos_from_file(ifstream&)` .

Definition at line 156 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Lorene::Eos::Eos(), eps_fit, gam, n0_b60, rho0_b60, rho_nd, and set_auxiliary().

## ~Eos_strange_cr()

Lorene::Eos_strange_cr::~Eos_strange_cr | ( |  | ) |

virtual

Destructor.

Definition at line 177 of file eos_strange_cr.C.

## Member Function Documentation

## calcule() [1/2]

void Lorene::Eos::calcule | ( | const Cmp & | thermo,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos::* | fait )(double, const Param *) const,
|  | const Param * | par,
|  | Cmp & | resu ) const

protected inherited

General computational method for `Cmp` 's.

Parameters

  thermo | [input] thermodynamical quantity (for instance the enthalpy field)from which the thermodynamical quantity `resu` is to be computed.
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos` which performs the pointwise calculation.
  par | possible extra parameters of the EOS
  resu | [output] result of the computation.

Definition at line 203 of file eos.C.

References Lorene::Cmp::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos(), Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Tbl::set_etat_zero(), Lorene::Mtbl::t, Lorene::Tbl::t, and Lorene::Cmp::va.

## calcule() [2/2]

void Lorene::Eos::calcule | ( | const Scalar & | thermo,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos::* | fait )(double, const Param *) const,
|  | const Param * | par,
|  | Scalar & | resu ) const

protected inherited

General computational method for `Scalar` 's.

Parameters

  thermo | [input] thermodynamical quantity (for instance the enthalpy field)from which the thermodynamical quantity `resu` is to be computed.
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos` which performs the pointwise calculation.
  par | possible extra parameters of the EOS
  resu | [output] result of the computation.

Definition at line 268 of file eos.C.

References Lorene::Scalar::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos(), Lorene::Scalar::get_etat(), Lorene::Tbl::get_etat(), Lorene::Tensor::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::get_spectral_va(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Scalar::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Tbl::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, and Lorene::Tbl::t.

## der_ener_ent() [1/2]

Cmp Lorene::Eos::der_ener_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(e)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(e)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(e)/dln(H)

Definition at line 430 of file eos.C.

References calcule(), der_ener_ent_p(), and Lorene::Cmp::get_mp().

## der_ener_ent() [2/2]

Scalar Lorene::Eos::der_ener_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(e)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(e)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(e)/dln(H)

Definition at line 440 of file eos.C.

References calcule(), der_ener_ent_p(), and Lorene::Tensor::get_mp().

## der_ener_ent_p()

double Lorene::Eos_strange_cr::der_ener_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  dln(e)/dln(H)

Implements Lorene::Eos.

Definition at line 523 of file eos_strange_cr.C.

References delent, ent0, ent_nd, eps_fit, Lorene::exp(), and fach.

## der_nbar_ent() [1/2]

Cmp Lorene::Eos::der_nbar_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(n)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(n)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(n)/dln(H)

Definition at line 407 of file eos.C.

References calcule(), der_nbar_ent_p(), and Lorene::Cmp::get_mp().

## der_nbar_ent() [2/2]

Scalar Lorene::Eos::der_nbar_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(n)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(n)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(n)/dln(H)

Definition at line 417 of file eos.C.

References calcule(), der_nbar_ent_p(), and Lorene::Tensor::get_mp().

## der_nbar_ent_p()

double Lorene::Eos_strange_cr::der_nbar_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  dln(n)/dln(H)

Implements Lorene::Eos.

Definition at line 497 of file eos_strange_cr.C.

References delent, ent0, ent_nd, and eps_fit.

## der_press_ent() [1/2]

Cmp Lorene::Eos::der_press_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(p)/dln(H) is to be computed.
  par | possible extra parameters of the EOS
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(p)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  dln(p)/dln(H)

Definition at line 452 of file eos.C.

References calcule(), der_press_ent_p(), and Lorene::Cmp::get_mp().

## der_press_ent() [2/2]

Scalar Lorene::Eos::der_press_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(p)/dln(H) is to be computed.
  par | possible extra parameters of the EOS
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(p)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  dln(p)/dln(H)

Definition at line 462 of file eos.C.

References calcule(), der_press_ent_p(), and Lorene::Tensor::get_mp().

## der_press_ent_p()

double Lorene::Eos_strange_cr::der_press_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  dln(p)/dln(H)

Implements Lorene::Eos.

Definition at line 551 of file eos_strange_cr.C.

References delent, ent0, ent_nd, Lorene::exp(), and fach.

## ener_ent() [1/2]

Cmp Lorene::Eos::ener_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the total energy density from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the energy density is to be computed.
  l_min | index of the innermost domain is which the energy density is to be computed [default value: 0]; the energy density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  energy density [unit: ], where

Definition at line 363 of file eos.C.

References calcule(), ener_ent_p(), and Lorene::Cmp::get_mp().

## ener_ent() [2/2]

Scalar Lorene::Eos::ener_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the total energy density from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the energy density is to be computed.
  l_min | index of the innermost domain is which the energy density is to be computed [default value: 0]; the energy density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  energy density [unit: ], where

Definition at line 373 of file eos.C.

References calcule(), ener_ent_p(), and Lorene::Tensor::get_mp().

## ener_ent_p()

double Lorene::Eos_strange_cr::ener_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the total energy density from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  energy density e [unit: ], where

Implements Lorene::Eos.

Definition at line 437 of file eos_strange_cr.C.

References delent, ent0, ent_nd, eps_fit, Lorene::exp(), fach, gam, gam1sx, Lorene::pow(), rho0, rho_nd_nucl, unsgam1, and x_nd.

## eos_from_file() [1/2]

Eos * Lorene::Eos::eos_from_file | ( | FILE * | fich | ) |

static inherited

Construction of an EOS from a binary file.

The file must have been created by the function `sauve(FILE*)` .

Definition at line 177 of file eos_from_file.C.

References Eos(), and Lorene::fread_be().

## eos_from_file() [2/2]

Eos * Lorene::Eos::eos_from_file | ( | ifstream & | fich | ) |

static inherited

Construction of an EOS from a formatted file.

The fist line of the file must start by the EOS number, according to the following conventions:

- 1 = relativistic polytropic EOS (class `Eos_poly` ).
- 2 = Newtonian polytropic EOS (class `Eos_poly_newt` ).
- 3 = Relativistic incompressible EOS (class `Eos_incomp` ).
- 4 = Newtonian incompressible EOS (class `Eos_incomp_newt` ).
- 5 = Strange matter (MIT Bag model)
- 6 = Strange matter (MIT Bag model) with crust
- 10 = SLy4 (Douchin & Haensel 2001)
- 11 = FPS (Friedman-Pandharipande + Skyrme)
- 12 = BPAL12 (Bombaci et al. 1995)
- 13 = AkmalPR (Akmal, Pandharipande & Ravenhall 1998)
- 14 = BBB2 (Baldo, Bombaci & Burgio 1997)
- 15 = BalbN1H1 (Balberg 2000)
- 16 = GlendNH3 (Glendenning 1985, case 3)
- 17 = Compstar (Tabulated EOS for 2010 CompStar school)
- 18 = magnetized (tabulated) equation of state
- 19 = relativistic ideal Fermi gas at zero temperature (class `Eos_Fermi`)
- 100 = Multi-domain EOS (class `MEos` )
- 110 = Multi-polytropic EOS (class `Eos_multi_poly` )
- 120 = Fitted SLy4 (Shibata 2004)
- 121 = Fitted FPS (Shibata 2004)
- 122 = Fitted AkmalPR (Taniguchi 2005)

The second line in the file should contain a name given by the user to the EOS. The following lines should contain the EOS parameters (one parameter per line), in the same order than in the class declaration.

Definition at line 314 of file eos_from_file.C.

References Eos().

## get_b60()

double Lorene::Eos_strange_cr::get_b60 | ( |  | ) | const

inline

Returns the bag constant [unit: ].

Definition at line 1959 of file eos.h.

References b60.

## get_ent0()

double Lorene::Eos_strange_cr::get_ent0 | ( |  | ) | const

inline

Returns the log-enthalpy threshold for setting the energy density to a non zero value (should be negative).

Definition at line 1964 of file eos.h.

References ent0.

## get_ent_nd()

double Lorene::Eos_strange_cr::get_ent_nd | ( |  | ) | const

inline

Returns the log-enthalpy at neutron drip point, defining the boundary between crust and core.

Definition at line 1980 of file eos.h.

References ent_nd.

## get_eps_fit()

double Lorene::Eos_strange_cr::get_eps_fit | ( |  | ) | const

inline

Returns the fitting parameter related to the square of sound velocity by .

[cf. Zdunik, Astron. Astrophys. 359 , 311 (2000)]

Definition at line 1970 of file eos.h.

References eps_fit.

## get_gam()

double Lorene::Eos_strange_cr::get_gam | ( |  | ) | const

inline

Returns the adiabatic index for the crust model.

Definition at line 1991 of file eos.h.

References gam.

## get_n0_b60()

double Lorene::Eos_strange_cr::get_n0_b60 | ( |  | ) | const

inline

Returns the baryon density at zero pressure divided by [unit: ].

Definition at line 1956 of file eos.h.

References n0_b60.

## get_name()

const char * Lorene::Eos::get_name | ( |  | ) | const

inherited

Returns the EOS name.

Definition at line 169 of file eos.C.

References name.

## get_rho0_b60()

double Lorene::Eos_strange_cr::get_rho0_b60 | ( |  | ) | const

inline

Returns the energy density at zero pressure divided by .

[unit: ]

Definition at line 1975 of file eos.h.

References rho0_b60.

## get_rho_nd()

double Lorene::Eos_strange_cr::get_rho_nd | ( |  | ) | const

inline

Returns the energy density at neutron drip point, defining the boundary between crust and core [unit: ].

Definition at line 1987 of file eos.h.

References rho_nd.

## identify()

int Lorene::Eos_strange_cr::identify | ( |  | ) | const

virtual

Returns a number to identify the sub-classe of `Eos` the object belongs to.

Implements Lorene::Eos.

Definition at line 139 of file eos_from_file.C.

## nbar_ent() [1/2]

Cmp Lorene::Eos::nbar_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the baryon density field from the log-enthalpy field and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the baryon density is to be computed.
  l_min | index of the innermost domain is which the baryon density is to be computed [default value: 0]; the baryon density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  baryon density [unit: ]

Definition at line 338 of file eos.C.

References calcule(), Lorene::Cmp::get_mp(), and nbar_ent_p().

## nbar_ent() [2/2]

Scalar Lorene::Eos::nbar_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the baryon density field from the log-enthalpy field and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the baryon density is to be computed.
  l_min | index of the innermost domain is which the baryon density is to be computed [default value: 0]; the baryon density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  baryon density [unit: ]

Definition at line 348 of file eos.C.

References calcule(), Lorene::Tensor::get_mp(), and nbar_ent_p().

## nbar_ent_p()

double Lorene::Eos_strange_cr::nbar_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the baryon density from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  baryon density n [unit: ]

Implements Lorene::Eos.

Definition at line 410 of file eos_strange_cr.C.

References delent, ent0, ent_nd, eps_fit, Lorene::exp(), gam1sx, n0, ncr_nd, Lorene::pow(), and unsgam1.

## operator!=()

bool Lorene::Eos_strange_cr::operator!= | ( | const Eos & | eos_i | ) | const

virtual

Comparison operator (difference).

Implements Lorene::Eos.

Definition at line 353 of file eos_strange_cr.C.

References Lorene::Eos::Eos(), and operator==().

## operator=()

void Lorene::Eos_strange_cr::operator= | ( | const Eos_strange_cr & | eosi | ) |

Assignment to another `Eos_strange`.

Definition at line 187 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Eos_strange_cr(), eps_fit, gam, n0_b60, Lorene::Eos::name, rho0_b60, rho_nd, set_auxiliary(), and Lorene::Eos::set_name().

## operator==()

bool Lorene::Eos_strange_cr::operator== | ( | const Eos & | eos_i | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Eos.

Definition at line 272 of file eos_strange_cr.C.

References b60, ent0, ent_nd, Lorene::Eos::Eos(), Eos_strange_cr(), eps_fit, gam, Lorene::Eos::identify(), identify(), n0_b60, rho0_b60, and rho_nd.

## operator>>()

ostream & Lorene::Eos_strange_cr::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >>.

Implements Lorene::Eos.

Definition at line 378 of file eos_strange_cr.C.

References b60, ent0, ent_nd, eps_fit, gam, n0_b60, rho0_b60, and rho_nd.

## press_ent() [1/2]

Cmp Lorene::Eos::press_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the pressure from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the pressure is to be computed.
  l_min | index of the innermost domain is which the pressure is to be computed [default value: 0]; the pressure is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  pressure [unit: ], where

Definition at line 385 of file eos.C.

References calcule(), Lorene::Cmp::get_mp(), and press_ent_p().

## press_ent() [2/2]

Scalar Lorene::Eos::press_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the pressure from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the pressure is to be computed.
  l_min | index of the innermost domain is which the pressure is to be computed [default value: 0]; the pressure is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  pressure [unit: ], where

Definition at line 395 of file eos.C.

References calcule(), Lorene::Tensor::get_mp(), and press_ent_p().

## press_ent_p()

double Lorene::Eos_strange_cr::press_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the pressure from the log-enthalpy.

Parameters

  ent | [input, unit: ] log-enthalpy H

Returns
  pressure p [unit: ], where

Implements Lorene::Eos.

Definition at line 468 of file eos_strange_cr.C.

References delent, ent0, ent_nd, Lorene::exp(), fach, gam, gam1sx, Lorene::pow(), rho0, rho_nd_nucl, unsgam1, and x_nd.

## sauve()

void Lorene::Eos_strange_cr::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Eos.

Definition at line 363 of file eos_strange_cr.C.

References b60, ent0, ent_nd, eps_fit, Lorene::fwrite_be(), gam, n0_b60, rho0_b60, rho_nd, and Lorene::Eos::sauve().

## set_auxiliary()

void Lorene::Eos_strange_cr::set_auxiliary | ( |  | ) |

protected

Computes the auxiliary quantities `n0` , `rh0` , `b34` and `fach` from the values of the other parameters.

Definition at line 209 of file eos_strange_cr.C.

References b34, b60, delent, ent_nd, eps_fit, Lorene::exp(), fach, gam, gam1sx, Lorene::log(), n0, n0_b60, ncr_nd, Lorene::pow(), rho0, rho0_b60, rho_nd, rho_nd_nucl, unsgam1, and x_nd.

## set_name()

void Lorene::Eos::set_name | ( | const char * | name_i | ) |

inherited

Sets the EOS name.

Definition at line 163 of file eos.C.

References name.

## Friends And Related Symbol Documentation

## Eos::eos_from_file

Eos * Eos::eos_from_file | ( | FILE * |  | ) |

friend

The construction functions from a file.

References Lorene::Eos::Eos(), and Eos_strange_cr().

## Member Data Documentation

## b34

double Lorene::Eos_strange_cr::b34

protected

Definition at line 1844 of file eos.h.

## b60

double Lorene::Eos_strange_cr::b60

protected

Bag constant [unit: ].

Definition at line 1791 of file eos.h.

## delent

double Lorene::Eos_strange_cr::delent

protected

Enthalpy shift in quark phase.

Definition at line 1867 of file eos.h.

## ent0

double Lorene::Eos_strange_cr::ent0

protected

Log-enthalpy threshold for setting the energy density to a non zero value (should be negative).

Definition at line 1796 of file eos.h.

## ent_nd

double Lorene::Eos_strange_cr::ent_nd

protected

Log-enthalpy at neutron drip point, defining the boundary between crust and core.

Definition at line 1813 of file eos.h.

## eps_fit

double Lorene::Eos_strange_cr::eps_fit

protected

Fitting parameter related to the square of sound velocity by .

[cf. Zdunik, Astron. Astrophys. 359 , 311 (2000)]

Definition at line 1802 of file eos.h.

## fach

double Lorene::Eos_strange_cr::fach

protected

Factor .

Definition at line 1849 of file eos.h.

## gam

double Lorene::Eos_strange_cr::gam

protected

Adiabatic index for the crust model.

Definition at line 1825 of file eos.h.

## gam1sx

double Lorene::Eos_strange_cr::gam1sx

protected

Definition at line 1873 of file eos.h.

## n0

double Lorene::Eos_strange_cr::n0

protected

Baryon density at zero pressure.

[unit: (Lorene's unit)]

Definition at line 1833 of file eos.h.

## n0_b60

double Lorene::Eos_strange_cr::n0_b60

protected

Baryon density at zero pressure divided by .

[unit: ]

Definition at line 1788 of file eos.h.

## name

char Lorene::Eos::name[100]

protected inherited

EOS name.

Definition at line 196 of file eos.h.

## ncr_nd

double Lorene::Eos_strange_cr::ncr_nd

protected

Rescaled number density at neutron drip point.

Definition at line 1864 of file eos.h.

## rho0

double Lorene::Eos_strange_cr::rho0

protected

Energy density at zero pressure.

[unit: (Lorene's unit)]

Definition at line 1839 of file eos.h.

## rho0_b60

double Lorene::Eos_strange_cr::rho0_b60

protected

Energy density at zero pressure divided by .

[unit: ]

Definition at line 1807 of file eos.h.

## rho_nd

double Lorene::Eos_strange_cr::rho_nd

protected

Energy density at neutron drip point, defining the boundary between crust and core [unit: ].

Definition at line 1820 of file eos.h.

## rho_nd_nucl

double Lorene::Eos_strange_cr::rho_nd_nucl

protected

Energy density at neutron drip point, defining the boundary between crust and core [unit: `rho_unit` ].

Definition at line 1856 of file eos.h.

## unsgam1

double Lorene::Eos_strange_cr::unsgam1

protected

Definition at line 1870 of file eos.h.

## x_nd

double Lorene::Eos_strange_cr::x_nd

protected

Ratio of pressure to energy density at neutron drip point.

Definition at line 1861 of file eos.h.

The documentation for this class was generated from the following files:

- eos.h
- eos_from_file.C
- eos_strange_cr.C